2008-07-26  Love Hörnquist Åstrand  <lha@h5l.org>

	* krb-ipv6.m4: Patch from Björn Schlögl to enable disable-ness of
	ipv6.

2008-05-20  Love Hörnquist Åstrand  <lha@kth.se>
	
	* sunos.m4: Detect solaris2.11 and later and assume its sunos=58.
	Bug report from Klas Heggemann.

2008-05-05  Love Hörnquist Åstrand  <lha@kth.se>
	
	* version-script.m4: Add -rpath to avoid building a convince
	library, also sprinkle some other options to make the link line
	more like automake's.
	
2008-04-29  Love Hörnquist Åstrand  <lha@it.su.se>

	* version-script.m4: use libtool to probe for version script to
	make it work on amd64/ia64 where -fpic in needed to build shared
	objects.

2008-04-24  Björn Sandell <biorn@chalmers.se>

	* pthreads.m4: macros for OpenBSD

2008-04-17  Love Hörnquist Åstrand  <lha@it.su.se>

	* make-proto.pl: Define both export variables.

	* win32.m4: Export _FUNCTION and _VARIABLE for _win32 magic

	* krb-ipv6.m4: Rename cache variable to AC_CACHE_CHECK to make the
	cached.
	
	* win32.m4: replace _export with __declspec(dllexport)

	* make-proto.pl: Add __declspec(dllimport) to the exported
	functions.
	
2008-04-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* wflags.m4: Add -Wstrict-overflow=5 as an example.

2008-03-25  Love Hörnquist Åstrand  <lha@it.su.se>

	* install-catman.sh: Match man_MANS = files with directories in
	them.
	
2008-02-23  Love Hörnquist Åstrand  <lha@it.su.se>

	* make-proto.pl: Handle c-comments.

	* Makefile.am.common: Make DEFAULT_INCLUDES work better, avoid
	picking up the wrong headerfiles. $(top_builddir)/include vs
	${builddir}.

2008-01-21  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* Makefile.am.common: remove the check-symbols check
	
	* check-symbols.sh: removed, use version script instead
	
2007-10-01  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4: openssl might require -ldl too, so lets check that.

2007-07-31  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common (check-local::): exit on failure to perform
	test.

2007-07-28  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common (check-local): also check that --help works.
	
2007-07-17  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* crypto.m4: depend on EVP_CIPHER_iv_length

2007-06-27  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common: Need absolute reference to the top source
	directory and top build directory.
	
2007-06-20  Love Hörnquist Åstrand  <lha@it.su.se>

	* wflags.m4: Add --enable-developer and make it cause -Werror to
	be included.
	
2007-06-18  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common: Merge from samba config.

	* Makefile.am.common (makedir-in-tree): depend on INFO_DEPS.

	* valgrind-suppressions: Unknown suppression in runtime link
	editor

2007-06-08  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common: Add heimdal-lorikeet target distdir-in-tree

2007-06-04  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* framework-security.m4: test for -framework Security
	
2007-05-10  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* roken-frag.m4: we have a fnmatch.h only if there is a working
	implementation and a header file. If we do use roken, lets use our
	own headerfile that does symbol renaming.
	
2007-04-19  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* version-script.m4: check if ld supports --version-script
	
2007-04-11  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: drop broken-getnameinfo.m4
	
	* roken-frag.m4: drop test for broken getnameinfo, that old aix is
	no longer relevant.
	
2007-02-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* install-catman.sh: Stop overwriting cmd.
	
2007-01-15  Love Hörnquist Åstrand  <lha@it.su.se>

	* install-catman.sh: Use test instead of [.

	* install-catman.sh: Use = instead of ==, make solaris more happy.
	
2007-01-08  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: More headerfiles for iruserok prototype check.

	* check-symbols.sh: Add fc_softc for AIX as ignore syms.
	
2007-01-04  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: Check if iruserok needs a prototype.
	
2006-12-06  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-compile-et.m4: set automake symbol COM_ERR when we build
	local com_err
	
2006-11-16  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* valgrind-suppressions: We shouldn't be running /bin/ls under
	valgrind, but for now, at least make it easier to see any other
	warnings. From Andrew Bartlett.
	
2006-10-22  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* Makefile.am.common: Add target for valgrind debugging
	
	* valgrind-suppressions: valgrind suppressions
	
2006-10-21  Love Hörnquist Åstrand <lha@it.su.se>
	
	* check-lex.m4: Borrow test for autoconf cvs to help hpux hosts
	
2006-10-20  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* Makefile.am.common: provide uninstall hook for cat/manpages.

	* install-catman.sh: provide uninstall command
	
2006-10-19  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* roken-frag.m4: Add check for timegm.

	* roken-frag.m4: Include sys/types.h for sys/socket.h and netdb.h.
	
2006-10-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common (install-build-headers): make this function
	convoluted and deal with dist_, nodist, nobase and all its
	friends.

	* have-struct-field.m4: memset the structure to make sure that we
	don't get compiler warnings.

	* crypto.m4: OpenSSL_add_all_algorithms is not a openssl specific
	requirement, hcrypto need to have to too.

	* crypto.m4: Require openssl have OpenSSL_add_all_algorithms
	
2006-10-04  Love Hörnquist Åstrand  <lha@it.su.se>

	* autobuild.m4: Add autobuild, GPLed, but free to use in projects
	not avaible under GPL or LGPL (just like autoconf).
	
2006-09-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: Add samba_SOCKET_WRAPPER fragment
	
2006-09-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* socket-wrapper.m4: Add socket-wrapper test
	
2006-05-06  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4: Move up evp.h to please OpenSSL, from Douglas
	E. Engert.

2006-04-22  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: Add check for fnmatch.h, its needed to be done
	for the automake conditional below.
	
2006-04-15  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4: Require SHA256
	
2006-01-18  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4 Check for <openssl/engine.h> if we are to consider
	using OpenSSL, also check for <hcrypto/...> headers since
	make_crypto.c assumes that the name of the files.
	
2006-01-13 Love Hörnquist Åstrand <lha@it.su.se>

	* crypto.m4: libdes is renamed to hcrypto

	* crypto.m4: Remove support for old hash names.
	
2005-10-26  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* install-catman.sh: Add variable INSTALL_CATPAGES that controls
	if cat pages are installed, defaults to true. From Johnny Lam
	<jlam@pkgsrc.org>.
	
2005-09-28  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: Check for <stdint.h> and uintptr_t
	
2005-09-02  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: Resolver check moved to rk_RESOLV, from Andrew
	Bartlet <abartlet@samba.org>

	* resolv.m4: Resolver checks, broken out so samba can use it From
	Andrew Bartlet <abartlet@samba.org>
	
2005-08-22  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: Check for res_ndestroy.

2005-08-03  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4: Add <sys/types.h>, OpenSSL 0.9.8 needs it for size_t.
	From: Quanah Gibson-Mount <quanah@stanford.edu>

2005-07-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-compile-et.m4: check that initialize_conf_error_table_r
	have the right argument

2005-07-07  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: allow symbols to start with ., aix uses this

2005-06-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* krb-bigendian.m4: use ansi c prototypes
	
	* krb-func-getcwd-broken.m4: use ansi c prototypes

	* broken-snprintf.m4: use ansi c prototypes

	* have-pragma-weak.m4: use ansi c declarations

	* check-getpwnam_r-posix.m4: use ansi c declarations

	* broken-realloc.m4: use ansi c declarations
	
	* check-compile-et.m4: use ansi c declarations
	
	* dlopen.m4: add headers and argument to dlopen
	
	* c-function.m4: use ansi c declarations
	
	* check-var.m4: use ansi c declarations

	* pthreads.m4: disable threads on aix because of utmp/utmpx
	problems

	* broken-getaddrinfo.m4: check for brokenness in getaddrinfo on
	AIX that can't handle "0" as port number.
	
2005-06-11  Love Hörnquist Åstrand  <lha@it.su.se>

	* db.m4: Add an option to disable ndbm, from Stefan Metzmacher
	<metze@samba.org>

2005-06-03  Love Hörnquist Åstrand  <lha@it.su.se>

	* pthreads.m4: rework how pthreads support to turned on/off,
	always run though the switch to figure out what the
	linker/compiler flag are

2005-06-01  Love Hörnquist Åstrand  <lha@it.su.se>
	
	* pthreads.m4: s/else if/elif/
	
	* check-symbols.sh: AIX have a diffrent nm, use -B to get bsd like
	output
	
	* pthreads.m4: aix case: assume gcc handles -pthread, in the
	non-gcc case, use the compiler as hint (xlc vs xlc_r) if this
	environment handles threads or not

2005-05-22  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: ignore weak symbols too

2005-05-19  David Love  <fx@gnu.org>

	* check-getpwnam_r-posix.m4: define _POSIX_PTHREAD_SEMANTICS to
	make solaris provide the right getpwname_r

2005-05-17  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: am_conditional have_cgetent
	
2005-05-10  David Love  <fx@gnu.org>

	* roken-frag.m4: Get daemon declared on Solaris (it's in unistd.h
	but masked by a feature test), just to avoid a warning, since it
	has int args.

2005-05-11  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-var.m4: AC_CHECK_DECL and AC_CHECK_DECLS have a subtile
	diffrence, the later defines HAVE_ cpp symbols, the first doesn't.

2005-05-05  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: ignore N symbols too

2005-04-30  Love Hörnquist Åstrand  <lha@it.su.se>

	* broken-snprintf.m4: include checking if snprintf(NULL, 0, "")
	works

	* check-compile-et.m4: require compile_et to generate a
	initialize_FOO_error_table_r (they are used in libkrb5), and
	always check for initialize_error_table_r

2005-04-29  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common: add LIB_com_err
	
2005-04-29  David Love  <fx@gnu.org>

	* roken-frag.m4: Check for correct vis.h.
	
2005-04-28  David Love  <fx@gnu.org>

	* pthreads.m4: Set PTHREADS_LIBS on Irix.

2005-04-27  Love Hörnquist Åstrand  <lha@it.su.se>

	* broken-realloc.m4: use rk_realloc if realloc is broken, this
	makes "host-tools" not beeing able to use realloc

	* pthreads.m4: Add support for Solaris, Irix, and modern
	Linux. From David Love <fx@gnu.org>

2005-04-25  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: limit the units functions to
	asn1_[A-Za-z0-9]*_units$

2005-04-20  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: this lib include com_err, add -com_err to
	CHECK_SYMBOLS

	* check-symbols.sh: print the type so I don't need to ask for it

2005-04-18  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: ignore filename symbols
	
2005-04-04  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: assume symbols prefixed with _ is a sideeffekt
	of the local linker and also just fine
	
2005-03-16 Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: include <sys/socket.h> for <netinet6/in6_var.h>
	
2005-03-01  Love Hörnquist Åstrand  <lha@it.su.se>

	* sunos.m4: Match solaris 10.  From: Joakim Fallsjo
	<fallsjo@sanchin.se>

2004-12-29  Love  <lha@stacken.kth.se>

	* check-symbols.sh: add -asn1compile symbols

2004-12-29  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-symbols.sh: add exported symbols test
	
	* Makefile.am.common: add CHECK_SYMBOLS tests, so that we don't
	export to much stuff
	
2004-09-03  Love Hörnquist Åstrand  <lha@it.su.se>

	* make-proto.pl: add cpluscplus extern "C" support
	
2004-07-09  Love Hörnquist Åstrand  <lha@it.su.se>

	* pthreads.m4: add -pthread to LIBS since libtool doesn't preserve
	it for us when adding is as a dependency on libs
	
2004-04-24  Johan Danielsson  <joda@pdc.kth.se>

	* largefile.m4: like AC_SYS_LARGEFILE, but also add to CPPFLAGS
	
2004-04-14  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-compile-et.m4: even more evil stuff for cross-compiling
	
	* check-x.m4: use AC_RUN_IFELSE so we can handle cross compiling
	
	* check-compile-et.m4: use AC_RUN_IFELSE so we can handle cross
	compiling

2004-04-13  Love Hörnquist Åstrand  <lha@it.su.se>

	* make-proto.pl: if -E, add windows standard calling conv to
	headerfile if needed

	* win32.m4: add rk_WIN32_EXPORT
	
2004-02-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* configure.in: rename AC_WFLAGS to rk_WFLAGS
	
	* *.m4: overquote to pacify automake1.8

2004-02-11  Love Hörnquist Åstrand  <lha@it.su.se>

	* roken-frag.m4: resolv.h is even more special
	
	* roken-frag.m4: AC_CHECK_HEADERS(net/if.h netinet6/in6_var.h
	sys/sysctl.h sys/proc.h, resolv.h) are all special and need extra
	help

	* test-package.m4: If there is a --with-PACKAGE=path but no
	--with-PACKAGE-config, go seach for path/PACKEGE-config and use it
	if it exists.  Inspired by Harald Barth <haba@pdc.kth.se>

2003-09-03  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4: check for DES_, AES_, and if openssl UI_
	
2003-08-27  Johan Danielsson  <joda@pdc.kth.se>

	* vararray.m4: test for variable-length arrays

	* roken-frag.m4: test for poll and poll.h

2003-08-16  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common: don't try doing local checks if CHECK_LOCAL
	is set to no-check-local

2003-08-01  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-compile-et.m4: check if compile_et support ``error_table N
	M'' also, don't be overly aggressivly reset CFLAGS
	
2003-07-22  Love Hörnquist Åstrand  <lha@it.su.se>

	* pthreads.m4: pthread test
	
2003-05-08  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am.common: change install-data-local to
	install-data-hook

2003-05-05  Assar Westerlund  <assar@kth.se>

	* crypto.m4: define OPENSSL_DES_LIBDES_COMPATIBILITY

2003-04-03  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4: check if libcrypto needs -lnsl or -lsocket
	
2003-04-02  Love Hörnquist Åstrand  <lha@it.su.se>

	* crypto.m4: in the case where se don't link with kerberos 4, use
	${with_openssl_include} if its are set (not
	${with_openssl}/include) same for with_openssl_lib
	
2003-03-18  Love Hörnquist Åstrand  <lha@it.su.se>

	* Makefile.am.common: always define LIB_kafs
	
2003-03-12  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-compile-et.m4: check if the output of compile_et needs
	initialize_error_table_r

2003-02-17  Love Hörnquist Åstrand  <lha@it.su.se>

	* check-var.m4: add a check if the variable is avaible when we
	include the headerfiles

2002-12-18  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: res_nsearch takes 6 parameters; spotted by Howard
	Chu

2002-10-25  Johan Danielsson  <joda@pdc.kth.se>

	* crypto.m4: do a better job at matching headers to libraries

2002-10-16  Johan Danielsson  <joda@pdc.kth.se>

	* sunos.m4: more quoting

2002-09-19  Johan Danielsson  <joda@pdc.kth.se>

	* make-proto.pl: check the processed string for closing ), not the
	source

2002-09-10  Johan Danielsson  <joda@pdc.kth.se>

	* crypto.m4: use m4 macros for test cases, also test for older
	hash names

	* test-package.m4: include dep libraries in LIB_*

	* crypto.m4: move krb4 test before test for openssl, and bail out
	if krb4 is requested, but the crypto library is not the same as
	krb4

	* db.m4: filter contents of LDFLAGS

2002-09-09  Johan Danielsson  <joda@pdc.kth.se>

	* auth-modules.m4: rename to rk_AUTH_MODULES

	* auth-modules.m4: only include modules explicitly asked for

2002-09-04  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: test for res_nsearch

2002-09-03  Assar Westerlund  <assar@kth.se>

	* roken-frag.m4: check for sys/mman.h and mmap (used by
	parse_reply-test)

2002-08-28  Assar Westerlund  <assar@kth.se>

	* krb-readline.m4: also add LIB_tgetent in the case of editline

	* crypto.m4: define HAVE_OPENSSL even if we got to hear about it
	by krb4

2002-08-28  Johan Danielsson  <joda@pdc.kth.se>

	* krb-readline.m4: add LIB_tgetent to LIB_readline if we have to

	* sunos.m4: various sunos tests

	* crypto.m4: try to extract the crypto compiler flags from
	{INCLUDE,LIB}_krb4
	(XXX this is really horrible)

	* krb-readline.m4: don't add -rpath to LIB_readline (libtool
	should to this for us), also don't append LIB_tgetent to
	LIB_readline (TEST_PACKAGE should do this)

	* test-package.m4: add the possibility to use a *-config program
	to get flags; rename to rk_TEST_PACKAGE while here

	* krb-bigendian.m4: move ENDIANESS_IN_SYS_PARAM_H tests here

	* aix.m4: rename to rk_AIX

	* telnet.m4: move telnet tests here

	* aix.m4: restructure this somewhat

	* dlopen.m4: test for dlopen suitable for AC_REQUIRE

	* irix.m4: move some stuff here and rename to irix.m4

	* krb-sys-nextstep.m4: move SGTTY stuff to read_pwd.c

2002-08-28  Jacques Vidrine  <nectar@kth.se>

	* auth-modules.m4: do not build pam_krb4 on freebsd

2002-08-26  Assar Westerlund  <assar@kth.se>

	* roken-frag.m4: test for the vis, strvis functions requiring
	prototypes

2002-08-23  Johan Danielsson  <joda@pdc.kth.se>

	* need-proto.m4: missing comma

2002-08-22  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: some rototilling

	* need-proto.m4: use AS_TR_CPP

2002-08-20  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: HAVE_TYPE instead of CHECK_TYPE ssize_t

	* krb-version.m4: use PACKAGE_TARNAME and PACKAGE_STRING

	* broken-getaddrinfo.m4: can't test for EAI_SERVICE here since AIX
	is even more fsck:ed

	* roken-frag.m4: test for altzone

2002-08-19  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am.common: only define ROKEN_RENAME if do_roken_rename

2002-08-13  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am.common: add ROKEN_RENAME variable

2002-08-12  Johan Danielsson  <joda@pdc.kth.se>

	* make-proto.pl: include <stdarg.h> to get va_list

	* destdirs.m4: also define localstatedir and sysconfdir

2002-08-01  Johan Danielsson  <joda@pdc.kth.se>

	* crypto.m4: newer openssl seems to take the address of the
	schedule parameter to des_cbc_encrypt, so we need to feed it a
	variable, not just NULL (from Magnus Holmberg)

2002-05-24  Johan Danielsson  <joda@pdc.kth.se>

	* misc.m4: change \100 back to @; some m4's (probably some regex)
	doesn't like this as a replacement regexp; the reason it was once
	changed to \100 was probably because of some autoconf bug at the
	time

2002-05-20  Johan Danielsson  <joda@pdc.kth.se>

	* broken2.m4 []-less is apparently the way to go

2002-05-19  Johan Danielsson  <joda@pdc.kth.se>

	* otp.m4: check db_type instead of precence of dbm_firstkey

	* roken-frag.m4: don't AC_LIBOBJ more than one function at a time

	* find-if-not-broken.m4: s/AC_LIBOBJ/rk_LIBOBJ/

	* broken2.m4: s/AC_LIBOBJ/rk_LIBOBJ/

	* broken.m4: s/AC_LIBOBJ/rk_LIBOBJ/

	* misc.m4: automake can't handle macros passed to AC_LIBOBJ, so
	add an alias to it called rk_LIBOBJ; this requires that the
	relevant source are manually included in roken/Makefile.am

	* aix.m4: ac_enable --diable-dynamic-afs

	* roken-frag.m4: use AC_LIBOBJ

	* krb-func-getcwd-broken.m4: use AC_LIBOBJ

	* find-if-not-broken.m4: use AC_LIBOBJ

	* broken2.m4: use AC_LIBOBJ

	* broken.m4: use AC_LIBOBJ

	* aix.m4: recognise aix5
	
2002-05-17  Johan Danielsson  <joda@pdc.kth.se>

	* crypto.m4: am-conditionalise HAVE_OPENSSL

	* db.m4: make it possible to run this twice

	* Makefile.am.common: also install nodist_include_HEADERS

2002-05-16  Johan Danielsson  <joda@pdc.kth.se>

	* make-proto.pl: make it possible to redefine the "private" regexp

2002-05-02  Johan Danielsson  <joda@pdc.kth.se>

	* db.m4: am_cond HAVE_*

2002-04-30  Johan Danielsson  <joda@pdc.kth.se>

	* krb-ipv6.m4: use AC_HELP_STRING; fix logic bug in AC_MSG_RESULT
	call

	* test-package.m4: use AC_HELP_STRING

	* roken.m4: use AC_HELP_STRING

	* osfc2.m4: use AC_HELP_STRING

	* mips-abi.m4: use AC_HELP_STRING

	* krb-bigendian.m4: use AC_HELP_STRING

	* db.m4: rework this somewhat; check for db3/4 in subdirs, change
	--with to --enable; it should really be possible to point it to
	some directory --with-berkeley-db=/foo

	* otp.m4: OTP test

2002-04-25  Johan Danielsson  <joda@pdc.kth.se>

	* destdirs.m4: define BINDIR et al

2002-04-18  Johan Danielsson  <joda@pdc.kth.se>

	* misc.m4: remove some stuff that is defined elsewhere

	* make-proto.pl: optionally remove __P and parameter names

2001-11-30  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4: move ipv6 tests after -lsocket (to handle Solaris
	8)

2001-09-29  Assar Westerlund  <assar@sics.se>

	* install-catman.sh: handle man pages without SYNOPSIS but looking
	for both SYNOPSIS and DESCRIPTION

2001-09-18  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: include freeaddrinfo if using getaddrinfo

2001-09-13  Assar Westerlund  <assar@sics.se>

	* db.m4: test for the ndbm database really being a .db one
	and use it when moving/removing database files

2001-09-03  Assar Westerlund  <assar@sics.se>

	* db.m4: prefer ndbm.h to dbm.h
	* roken-frag.m4: check for atexit and on_exit

2001-09-02  Assar Westerlund  <assar@sics.se>

	* check-compile-et.m4: only add /usr/include/et to CPPFLAGS if
	it's actually used

2001-09-01  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (AUTOMAKE_OPTIONS): set 1.4b here so that
	users are warned if using earlier automake versions

	* find-func-no-libs2.m4: ignore "no" as a library - another
	special case to make it easy to send the result from this macro
	into another invocation

2001-08-30  Assar Westerlund  <assar@sics.se>

	* db.m4: check for ndbm functions in db3 library too

2001-08-29  Jacques Vidrine  <n@nectar.com>

	* check-compile-et.m4: Check for already-installed com_err.
	* Makefile.am.common: Use the compile_et discovered at
	  configuration time.

2001-08-29  Assar Westerlund  <assar@sics.se>

	* crypto.m4: use AC_WITH_ALL to allow separate specification of
	include and lib
	* with-all.m4: new macro for doing --with-foo, --with-foo-include,
	and --with-foo-lib in a sensible way

	* find-func-no-libs2.m4: handle both -llib and lib in the second
	argument also yes -> "" as a library, to ease callers that send in
	results from this macro (this might be a little bit unclean)

2001-08-28  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4: test for issetugid

2001-08-24  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common: change one += to = to AM_CFLAGS to avoid an
	error with recent automake

2001-08-22  Assar Westerlund  <assar@sics.se>

	* crypto.m4: SHA1_CTX should be SHA_CTX

2001-08-21  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4: remove all winsock.h
	for now, it does more harm than good under cygwin and if it should be
	used, the correct conditional needs to be found
	from <tol@stacken.kth.se>

2001-08-21  Johan Danielsson  <joda@pdc.kth.se>

	* check-var.m4: AC_TR_CPP -> AS_TR_CPP to make autoconf 2.52 happy

2001-08-17  Johan Danielsson  <joda@pdc.kth.se>

	* krb-ipv6.m4: add test for non-existant in6addr_loopback in AIX

2001-08-15  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: test for getaddrinfo's that doesn't like numeric
	services

	* broken-getaddrinfo.m4: test for getaddrinfo's that doesn't like
	numeric services

2001-08-08  Assar Westerlund  <assar@sics.se>

	* db.m4: do a separate test for gdbm/ndbm.h and -lgdbm

2001-08-05  Assar Westerlund  <assar@sics.se>

	* db.m4: ac_cv_funclib_\func can be yes
	* db.m4: use AC_FIND_FUNC_NO_LIBS to test in libc
	anset cache variables after first attempt at finding dbm_firstkey (how
	should this be done?)
	* db.m4: do not test for ndbm library when ndbm-db was found in libc
	* db.m4: test for ndbm-compatability with db
	* db.m4: add forgotten AC_SUBST
	* db.m4: first steps towards a new db test

	* roken-frag.m4: remove header files checked by rk_db

2001-08-05  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4: remove header files checked by rk_db

2001-06-24  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4: make sure of building getaddrinfo et al if
	missing

2001-06-20  Johan Danielsson  <joda@pdc.kth.se>

	* install-catman.sh: try to install links to manpages

2001-06-19  Assar Westerlund  <assar@sics.se>

	* broken-glob.m4: try to handle FreeBSD's GLOB_MAXPATH

2001-06-18  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: test for getaddrinfo needs netdb.h on Tru64

2001-06-17  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4 (AC_CHECK_HEADERS): test for random
	* roken-frag.m4 (AC_CHECK_HEADERS): test for initstate and
	setstate

	* roken-frag.m4 (AC_BROKEN): test for
	emalloc,ecalloc,erealloc,estrdup

2001-05-11  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: bswap{16,32}
	
2001-03-26  Assar Westerlund  <assar@sics.se>

	* broken-glob.m4: also test for GLOB_LIMIT
	* krb-ipv6.m4: restore CFLAGS if v6 is not detected

2001-02-20  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4: check for getprogname, setprogname

2001-02-07  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (LIB_kdfs): set.  use it.  from Ake Sandgren
 	<ake@cs.umu.se>

2000-12-26  Assar Westerlund  <assar@sics.se>

	* krb-ipv6.m4: remove some dnl that weren't the correct with
	modern autoconf

2000-12-15  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4 (inet_ntoa, inet_ntop, inet_pton): add necessary
	includes when testing
	* broken2.m4: new variant of broken, with includes and arguments

	* test-package.m4: s/ifval/m4_ifval/ to keep in sync with
 	autoconf.  from Ake Sandgren <ake@cs.umu.se>
	* check-var.m4: s/ifval/m4_ifval/ to keep in sync with autoconf.
  	from Ake Sandgren <ake@cs.umu.se>

2000-12-13  Assar Westerlund  <assar@sics.se>

	* krb-irix.m4: need to set irix to no first.  From Ake Sandgren
	<ake@cs.umu.se>

2000-12-12  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: move sa_len test to before test for broken
	getnameinfo

2000-12-12  Assar Westerlund  <assar@sics.se>

	* roken-frag.m4: only test for broken getnameinfo if it exists

2000-12-10  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: ifaddrs.h

2000-12-06  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: test for unvis, and vis.h

	* roken-frag.m4: test for strvis*

2000-12-05  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am.common: just warn if we fail to setuid a program

	* broken-getnameinfo.m4: add more quotes

	* roken-frag.m4: test for getifaddrs

	* roken-frag.m4: test for broken AIX getnameinfo

	* broken-getnameinfo.m4: test for broken getnameinfo

2000-12-01  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common: add kludge for LIBS

2000-11-30  Johan Danielsson  <joda@pdc.kth.se>

	* check-man.m4: update this after recent changes

	* Makefile.am.common: use install-catman.sh

	* install-catman.sh: script to install preformatted manual pages

	* Makefile.am.common: change cat handling

2000-11-29  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: don't use AC_CONFIG_FILES here, since it doesn't
	work with automake

2000-11-15  Assar Westerlund  <assar@sics.se>

	* krb-readline.m4: link against the libtool-versions of
	libeditline and libel_compat

	* Makefile.am.common (INCLUDES): add $(INCLUDES_roken)
	* roken-frag.m4 (CPPFLAGS_roken): rename to INCLUDES_roken

2000-11-05  Johan Danielsson  <joda@pdc.kth.se>

	* aix.m4: set aix

2000-08-19  Assar Westerlund  <assar@sics.se>

	* krb-bigendian.m4: merge from arla: make it work better

2000-08-07  Johan Danielsson  <joda@pdc.kth.se>

	* roken-frag.m4: check getsockname for proto compat

2000-08-04  Johan Danielsson  <joda@pdc.kth.se>

	* Makefile.am.common: add library for pidfile

	* roken-frag.m4: tests for util.h and pidfile

2000-07-19  Johan Danielsson  <joda@pdc.kth.se>

	* check-var.m4: rename to rk_CHECK_VAR, transposing the arguments,
	and making the second optional, AU_DEFINE AC_CHECK_VAR to
	rk_CHECK_VAR

	* roken-frag.m4: other roken tests

	* db.m4: db tests

2000-07-18  Johan Danielsson  <joda@pdc.kth.se>

	* mips-abi.m4: AC_ERROR -> AC_MSG_ERROR

	* check-netinet-ip-and-tcp.m4: use cache_check, and make this work
	with new autoconf

	* aix.m4: don't subst AFS_EXTRA_LD

2000-07-15  Johan Danielsson  <joda@pdc.kth.se>

	* check-var.m4: workaround feature of newer autoconf

	* find-func-no-libs2.m4: use cleaner autoheader trick

	* have-type.m4: use cleaner autoheader trick

	* have-types.m4: use cleaner autoheader trick

	* test-package.m4: add 6th parameter for now

	* broken.m4: use cleaner autoheader trick

	* retsigtype.m4: test for signal handler return type

	* broken-realloc.m4: test for broken realloc

2000-07-08  Assar Westerlund  <assar@sics.se>

	* roken.m4: set CPPFLAGS_roken and call AC_CONFIG_SUBDIRS

2000-07-02  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (CP): set and use

2000-04-05  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (INCLUDE_openldap, LIB_openldap): add

2000-03-28  Assar Westerlund  <assar@sics.se>

	* krb-prog-yacc.m4: AC_MSG_WARNING should be AC_MSG_WARN

	* shared-libs.m4: try to update to freebsd5 (and elf)

2000-03-16  Assar Westerlund  <assar@sics.se>

	* krb-prog-yacc.m4: warn we do not find any yacc

2000-01-08  Assar Westerlund  <assar@sics.se>

	* krb-bigendian.m4: new file, replacement for ac_c_bigendian

2000-01-01  Assar Westerlund  <assar@sics.se>

	* krb-ipv6.m4: re-organize: test for type of stack first so that
	we can find the libraries that we might have to link the test
	program against.  not linking the test program means we don't know
	if the right stuff is in the libraries.  also cosmetic changes to
	make sure we print the checking for... nicely

1999-12-21  Assar Westerlund  <assar@sics.se>

	* krb-ipv6.m4: try linking, not only compiling
	* krb-ipv6.m4: add --without-ipv6 make sure we have `in6addr_any'
 	which we use in the code.  This test avoids false positives on
 	OpenBSD

1999-11-29  Johan Danielsson  <joda@pdc.kth.se>

	* grok-type.m4: inttypes.h

1999-11-05  Assar Westerlund  <assar@sics.se>

	* check-x.m4: include X_PRE_LIBS and X_EXTRA_LIBS when testing

1999-11-01  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (install-build-headers): use `cp' instead of
 	INSTALL_DATA for copying header files inside the build tree.  The
 	user might have redefined INSTALL_DATA to specify owners and other
 	information.

1999-10-30  Assar Westerlund  <assar@sics.se>

	* find-func-no-libs2.m4: add yet another argument to allow specify
 	linker flags that will be added _before_ the library when trying
 	to link

	* find-func-no-libs.m4: add yet another argument to allow specify
 	linker flags that will be added _before_ the library when trying
 	to link

1999-10-12  Assar Westerlund  <assar@sics.se>

	* find-func-no-libs2.m4 (AC_FIND_FUNC_NO_LIBS2): new argument
 	`extra libs'

	* find-func-no-libs.m4 (AC_FIND_FUNC_NO_LIBS): new argument `extra
 	libs'

1999-09-01  Johan Danielsson  <joda@pdc.kth.se>

	* capabilities.m4: sgi capabilities

1999-07-29  Assar Westerlund  <assar@sics.se>

	* have-struct-field.m4: quote macros when undefining

1999-07-28  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (install-build-headers): add dependencies

1999-07-24  Assar Westerlund  <assar@sics.se>
	
	* have-type.m4: try to get autoheader to co-operate

	* have-type.m4: stolen from Arla

	* krb-struct-sockaddr-sa-len.m4: not used any longer.  removed.

1999-06-13  Assar Westerlund  <assar@sics.se>

	* krb-struct-spwd.m4: consequent name of cache variables

	* krb-func-getlogin.m4: new file for testing for posix (broken)
 	getlogin

	* shared-libs.m4 (freebsd[34]): don't use ld -Bshareable

1999-06-02  Johan Danielsson  <joda@pdc.kth.se>

	* check-x.m4: extended test for X
	
1999-05-14  Assar Westerlund  <assar@sics.se>

	* check-netinet-ip-and-tcp.m4: proper autoheader tricks

	* check-netinet-ip-and-tcp.m4: new file for checking for
 	netinet/{ip,tcp}.h.  These are special as they on Irix 6.5.3
	require <standards.h> to be included in advance.
 
	* check-xau.m4: we also need to check for XauFilename since it's
 	used by appl/kx.  And on Irix 6.5 that function requires linking
 	with -lX11.

1999-05-08  Assar Westerlund  <assar@sics.se>

	* krb-find-db.m4: try with more header files than ndbm.h

1999-04-19  Assar Westerlund  <assar@sics.se>

	* test-package.m4: try to handle the case of --without-package
 	correctly

1999-04-17  Assar Westerlund  <assar@sics.se>

	* make-aclocal: removed.  Not used anymore, being replaced by
	aclocal from automake.

Thu Apr 15 14:17:26 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* make-proto.pl: handle __attribute__

Fri Apr  9 20:37:18 1999  Assar Westerlund  <assar@sics.se>

	* shared-libs.m4: quote $@
	(freebsd3): add install_symlink_command2

Wed Apr  7 20:40:22 1999  Assar Westerlund  <assar@sics.se>

	* shared-libs.m4 (hpux): no library dependencies

Mon Apr  5 16:13:08 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* test-package.m4: compile and link, rather than looking for
 	files; also export more information, so it's possible to add rpath
 	information

Tue Mar 30 13:49:54 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am.common: CFLAGS -> AM_CFLAGS

Mon Mar 29 16:51:12 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* check-xau.m4: check for XauWriteAuth before checking for
 	XauReadAuth to catch -lX11:s not containing XauWriteAuth, and IRIX
 	6.5 that doesn't work with -lXau

Sat Mar 27 18:03:58 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* osfc2.m4: --enable-osfc2

Fri Mar 19 15:34:52 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* shared-libs.m4: move shared lib stuff here

Wed Mar 24 23:24:51 1999  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (install-build-headers): simplify loop

Tue Mar 23 17:31:23 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* check-getpwnam_r-posix.m4: check for getpwnam_r, and if it's
 	posix or not

Tue Mar 23 00:00:13 1999  Assar Westerlund  <assar@sics.se>

	* Makefile.am.common (install_build_headers): try to make it work
 	better when list of headers is empty.  handle make rewriting the
 	filenames.

	* Makefile.am.common: hesoid -> hesiod

Sun Mar 21 14:48:03 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* grok-type.m4: <bind/bitypes.h>

	* Makefile.am.common: fix for automake bug/feature; add more LIB_*

	* test-package.m4: fix typo

	* check-man.m4: fix some typos

	* auth-modules.m4: tests for authentication modules

Thu Mar 18 11:02:55 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* Makefile.am.common: make install-build-headers a multi
 	dependency target

	* Makefile.am.common: remove include_dir hack

	* Makefile.am.common: define LIB_kafs and LIB_gssapi

	* krb-find-db.m4: subst DBLIB also

	* check-xau.m4: test for Xau{Read,Write}Auth

Wed Mar 10 19:29:20 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* wflags.m4: AC_WFLAGS

Mon Mar  1 11:23:41 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* have-struct-field.m4: remove extra AC_MSG_RESULT

	* proto-compat.m4: typo

	* krb-func-getcwd-broken.m4: update to autoconf 2.13

	* krb-find-db.m4: update to autoconf 2.13

	* check-declaration.m4: typo

	* have-pragma-weak.m4: update to autoconf 2.13

	* have-struct-field.m4: better handling of types with spaces

Mon Feb 22 20:05:06 1999  Johan Danielsson  <joda@hella.pdc.kth.se>

	* broken-glob.m4: check for broken glob

Sun Jan 31 06:50:33 1999  Assar Westerlund  <assar@sics.se>

	* krb-ipv6.m4: more magic for different v6 implementations.  From
 	Jun-ichiro itojun Hagino <itojun@kame.net>

Sun Nov 22 12:16:06 1998  Assar Westerlund  <assar@sics.se>

	* krb-struct-spwd.m4: new file

Thu Jun  4 04:07:41 1998  Assar Westerlund  <assar@sics.se>

	* find-func-no-libs2.m4: new file

Fri May  1 23:31:28 1998  Assar Westerlund  <assar@sics.se>

	* c-attribute.m4, c-function.m4: new files (from arla)

Wed Mar 18 23:11:29 1998  Assar Westerlund  <assar@sics.se>

	* krb-ipv6.m4: rename HAVE_STRUCT_SOCKADDR_IN6 to HAVE_IPV6

Thu Feb 26 02:37:49 1998  Assar Westerlund  <assar@sics.se>

	* make-proto.pl: should work with perl4

